PHP 手冊
前一頁 |  | 下一頁

# ftp_chdir

(PHP 3>= 3.0.13, PHP 4 , PHP 5)

ftp_chdir -- Changes the current directory on a FTP server

## Description

bool ftp_chdir ( resource ftp_stream, string directory )

Changes the current directory to the specified one.

## Parameters

ftp_stream

  The link identifier of the FTP connection.

directory

  The target directory.

## Return Values

成功回傳`TRUE`失敗回傳`FALSE`。 If changing directory fails, PHP will also throw a warning.

## 範例

範例 1. ftp_chdir() example

`<?php
// set up basic connection
$conn_id = ftp_connect($ftp_server);
// login with username and password
$login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass);
// check connection
if ((!$conn_id) || (!$login_result)) {
die("FTP connection has failed !");
}
echo "Current directory: " . ftp_pwd($conn_id) . "\n";
// try to change the directory to somedir
if (ftp_chdir($conn_id, "somedir")) {
echo "Current directory is now: " . ftp_pwd($conn_id) . "\n";
} else {
echo "Couldn't change directory\n";
}
// close the connection
ftp_close($conn_id);
?>`

## 參考

ftp_cdup()
ftp_pwd()

前一頁 | 內容 | 下一頁
ftp_cdup | 上一層 | ftp_chmod